.modal {
  width: 100%;
  height: 70%;
  display: block;
  overflow: hidden;

  &-dialog {
    z-index: 1000;
    margin: 0;
    width: 100%;
    height: 100%;
    background: #0072c6;
  }

  &-content {
    height: 100%;
    border-radius: 0;
    border: 0;
    background: #0072c6;
    color: #333333;
    padding: 10px 10px 0;
    overflow-y: scroll;
  }

  &-header {
    padding: 10px;
    color: #fff;
    border: none;

    &-name {
      display: flex;
      justify-content: space-between;

      .close-unit-modal {
        color: $ui-text;
        font-size: 1.4em;
      }
    }

    &-description {
      padding-top: 5px;
      border-top: 1px solid #fff;
      font-size: 12px;
      display: flex;

      p {
        margin-bottom: 5px;
      }

      .unit-icon {
        margin-right: 10px;
        font-size: 3em;
        line-height: 1;
      }
    }
  }

  &-body {
    padding: $gap 0;

    &-box {
      background: #fff;
      padding: 10px;
      align-items: center;

      &:empty {
        display: none;
      }

      & + & {
        margin-top: $gap;
      }

      &-headline {
        font-weight: 700;
        margin-bottom: 3px;
      }
    }

    &-multi-line {
      white-space: pre-wrap;
      margin-top: 2rem;

      & > * {
        display: inline-block;
      }
    }
  }

  &-close-button {
    &:hover {
      cursor: pointer;
    }
  }
}

@media only screen and (min-width: 768px) {
  .modal {
    width: 400px;
    height: 100%;

    &-dialog {
      position: fixed;
      left: 0;
      top: 0;
      z-index: 10000;
      margin: 0;
      width: 400px;
      height: 100%;
    }

    &-content {
      border-radius: 0;
      border: 0;
      height: 100%;
      background: #0072c6;
      color: #333333;
    }
  }
}
